--- title: "Register person" slug: "maiu-create-persons" updated: 2026-10-08T04:13:23Z published: 2026-10-08T04:13:23Z canonical: "api.ncloud-docs.com/maiu-create-persons" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Register person Available in VPC Add a new person. If you do not enter the person's name, they will be registered as an anonymous person. You can edit the person's information later by clicking [Edit person information](/docs/en/maiu-update-persons). Note To check if the same person is already registered, use [Compare person](/docs/en/mi-recommend-persons-by-thumbnail) to search for similar people before registering. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v1/workspaces/{workspace_name}/persons | ### Request headers For information about the request headers common to all Media Intelligence APIs, see [Media Intelligence request headers](/docs/en/maiu-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `workspace_name` | String | Required | Workspace name | ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `name` | String | Optional | Person name - 1-50 characters. - No duplicates can be created within the workspace. - If no value is entered or a null value is entered, the person will be registered as anonymous. - You can't register if the string is empty or contains only spaces. | | `description` | String | Optional | Person description - 1-700 characters | | `thumbnails` | Array | Required | List of thumbnails to register - Up to 100 can be registered. - Each item includes `thumbnailKey` and `isPrimaryThumbnail` fields. - Only one main thumbnail can be specified. | | `thumbnails[].thumbnailKey` | String | Required | Key value of the uploaded thumbnail - Example: `persons/thumbnails/hong.jpg` | | `thumbnails[].isPrimaryThumbnail` | Boolean | Required | Whether it is the main thumbnail - true (default) \| false | ### Request example The request example is as follows: **Register by specifying the person's name** ``` curl --location --request POST 'https://mi.apigw.ntruss.com/api/v1/workspaces/my-workspace/persons' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "name": "Gildong Hong", "description": "A representative fictional character in Korea.", "thumbnails": [ { "thumbnailKey": "persons/thumbnails/hong.jpg", "isPrimaryThumbnail": true } ] }' ``` **Register as anonymous** ``` curl --location --request POST 'https://mi.apigw.ntruss.com/api/v1/workspaces/my-workspace/persons' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "thumbnails": [ { "thumbnailKey": "persons/thumbnails/unknown.jpg", "isPrimaryThumbnail": true } ] }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | String | - | [API processing result code](/docs/en/maiu-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C) | | `message` | String | - | [API processing result message](/docs/en/maiu-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C) | | `result` | Object | - | Generated person information | | `result.id` | Integer | - | Person ID | ### Response status codes For information about the response status codes common to all Media Intelligence APIs, see [Media Intelligence response status codes](/docs/en/maiu-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": "0", "message": "success", "result": { "id": 1001 } } ```